<div class="card">


   <div class="ibox-title mb-2">

      <div class="ibox-title-child" style="display: inline-block">{{'ACCOUNT_DETAILS.ACTIVITY_HISTORY.TITLE'|translate}}</div>
    </div>
   <div class="card-body p-2">

      <!-- next -->
      <ng-container *ngIf="nextHistoryList && nextHistoryList.length > 0">
         <label>{{'ACCOUNT_DETAILS.ACTIVITY_HISTORY.TO_DO'|translate}}</label>
         <ul class="iq-timeline">

            <!-- tasks -->
            <li *ngFor="let history of nextHistoryList">

               <div class="timeline-dots border-primary"></div>

               <!-- task -->
               <ng-container *ngIf="history.type === 'TASK' && history.task">
                  <h6 class="float-left mb-1">{{history.task.subject}}</h6>
                  <small class="float-right mt-1">{{history.date | date : pipeParameters.date.formatNoTime}}</small>
                  <div class="d-inline-block w-100">
                    {{'ACCOUNT_DETAILS.ACTIVITY_HISTORY.TASK_TITLE'|translate}} {{history.task.name}}
                  </div>
               </ng-container>

               <!-- events -->
               <ng-container *ngIf="history.type === 'EVENT' && history.event">
                  <h6 class="float-left mb-1">{{history.event.subject}}</h6>
                  <small class="float-right mt-1">{{history.date | date : pipeParameters.date.formatNoTime}}</small>
                  <div class="d-inline-block w-100">
                    {{'ACCOUNT_DETAILS.ACTIVITY_HISTORY.EVENT_TITLE'|translate}} {{history.event.name}}
                  </div>
               </ng-container>

            </li>

         </ul>
      </ng-container>

      <!-- previous -->
      <ng-container *ngIf="previousHistoryList && previousHistoryList.length > 0">
         <label class="mt-2">{{'ACCOUNT_DETAILS.ACTIVITY_HISTORY.CLOSED'|translate}}</label>
         <ul class="iq-timeline">

            <li *ngFor="let history of previousHistoryList">
               <div class="timeline-dots border-danger"></div>

               <!-- task -->
               <ng-container *ngIf="history.type === 'TASK' && history.task">
                  <h6 class="float-left mb-1">{{history.task.subject}}</h6>
                  <small class="float-right mt-1">{{history.date | date : pipeParameters.date.formatNoTime}}</small>
                  <div class="d-inline-block w-100">
                    {{'ACCOUNT_DETAILS.ACTIVITY_HISTORY.TASK_TITLE'|translate}} {{history.task.name}}
                  </div>
               </ng-container>

                <!-- events -->
                <ng-container *ngIf="history.type === 'EVENT' && history.event">
                  <h6 class="float-left mb-1">{{history.event.subject}}</h6>
                  <small class="float-right mt-1">{{history.date | date : pipeParameters.date.formatNoTime}}</small>
                  <div class="d-inline-block w-100">
                    {{'ACCOUNT_DETAILS.ACTIVITY_HISTORY.EVENT_TITLE'|translate}} {{history.event.name}}
                  </div>
               </ng-container>

            </li>

         </ul>
      </ng-container>

      <!-- no data found msg -->
      <div *ngIf="(!nextHistoryList || nextHistoryList.length === 0) && (!previousHistoryList || previousHistoryList.length === 0)"
            class="alert alert-primary text-center" role="alert">
         <div class="iq-alert-icon text-center">
               <i class="ri-information-line"></i>
         </div>
         <div class="iq-alert-text">{{'ACCOUNT_DETAILS.ACTIVITY_HISTORY.NO_DATA'|translate}}</div>
      </div>

   </div>
</div>
